# Retrieves a ticket attachment by its ID

Endpoint: GET /tickets/{ticketId}/attachments/{attachmentId}
Version: v3
Security: oauth2

## Security:

  - `oauth2` (unknown)
    oauth2

## Path parameters:

  - `ticketId` (string, required)
    Ticket Id.

  - `attachmentId` (string, required)
    Attachment Id.

## Response 200:

  - `200` (unknown)
    The contents of the file.

## Response 200 fields (application/json):

  - `fileContents` (string)

  - `contentType` (null | string)

  - `fileDownloadName` (null | string)

  - `lastModified` (null | string)

  - `entityTag` (any)

  - `entityTag.tag` (object)

  - `entityTag.tag.buffer` (null | string)

  - `entityTag.tag.offset` (integer)

  - `entityTag.tag.length` (integer)

  - `entityTag.tag.value` (null | string)

  - `entityTag.tag.hasValue` (boolean)

  - `entityTag.isWeak` (boolean)

  - `enableRangeProcessing` (boolean)

## Response 404:

  - `404` (unknown)
    The specified ticket or attachment was not found.

## Response 404 fields (application/json):

  - `type` (null | string)

  - `title` (null | string)

  - `status` (null | integer)

  - `detail` (null | string)

  - `instance` (null | string)

